> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a form

> Delete a form by its id



## OpenAPI

````yaml delete /admin/forms/{hysform_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/forms/{hysform_id}:
    delete:
      tags:
        - Program Forms
      summary: Delete a form
      description: Delete a form by its id
      operationId: 378d063fedc2c1f3d9ac8cef92c2b671
      parameters:
        - name: hysform_id
          in: path
          description: ID of the form to delete
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Form successfully deleted
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Deleted Form
                type: object
        '400':
          description: Invalid ID supplied
        '404':
          description: Form not found
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````